# Copyright (c) Erik Kunze 1995 - 2000
#
# Permission to use, distribute, and sell this software and its documentation
# for any purpose is hereby granted without fee, provided that the above
# copyright notice appear in all copies and that both that copyright notice and
# this permission notice appear in supporting documentation, and that the name
# of the copyright holder not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior permission.  The
# copyright holder makes no representations about the suitability of this
# software for any purpose.  It is provided "as is" without express or implied
# warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
#
# THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
# INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
# EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
# CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
# DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
# TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
# PERFORMANCE OF THIS SOFTWARE.
#
# Author: Erik Kunze
#
# $Id: xzx.spec,v 1.4 2000/01/29 13:37:51 erik Exp $

# User-Defined Macros:
# %define <name> <expansion>
%define Name		xzx
%define Version		2.9.2
%define DirVersion	2.9.2
%define ReleaseNum	1
%define Prefix		/usr

Summary:	A Sinclair ZX Spectrum 48K/128K/+3 emulator

Name:		%{Name}
Version:	%{Version}
Release:	%{ReleaseNum}
Packager:	Erik.Kunze@fantasy.muc.de
Copyright:	1993-1994 Des Herriott, 1995-2000 Erik Kunze
Group:		Applications/Emulators

Vendor:		Erik Kunze <Erik.Kunze@fantasy.muc.de>
Distribution:	-
URL:		http://www.philosys.de/~kunze/xzx/

Source0:	http://www.philosys.de/~kunze/xzx/files/%{Name}-%{Version}.tar.gz
Patch0:		%{Name}.patch
BuildRoot:	/tmp/%{Name}-%{Version}-%{ReleaseNum}
Requires:	XFree86, XFree86-libs, glibc
AutoReqProv:	yes

%description
XZX is a portable emulator of Sinclair ZX Spectrum 48K/128K/+3 (8-bit home
computers made by Sir Clive Sinclair) and Pentagon/Scorpion, Spectrum clones
made in Russia, for machines running Unix and the X Window system.  XZX is
completely written in C and based on XZX 1.0.2 by Des Herriott.

XZX emulates

 o Spectrum 48K, 128K, +2 and +3, Pentagon and Scorpion,
 o Interface I with up to 8 microdrives,
 o Multiface 128 and Multiface 3 (if you have the ROM images),
 o BetaDisk 128 interface by Technology Research Ltd with 4 disk drives,
 o +D interface by Miles Gordon Technology with 2 disk drives,
 o Kempston mouse,
 o Kempston joystick and
 o built-in machinecode monitor.

XZX loads from

 o snapshots in .SNA, .Z80, .SLT or .DAT format,
 o tape images in .TAP, .TZX, or .VOC format,
 o microdrive cartridge images in .MDR format,
 o disk images in .DSK, .TRD, .FDI, .SCL, HOBETA, .MGT or .IMG format,
 o screen dumps in .SCR format and
 o poke instructions in .POK format.

XZX saves to

 o snapshots in .SNA, .Z80 or .SLT format,
 o tape images in .TAP format,
 o microdrive cartridge images in .MDR format,
 o disk images in .DSK, .TRD, .MGT or .IMG format and
 o screen dumps in .SCR format.

Since version 2.2.0 XZX is a shareware program.  The program is not completely
functional, and the parts which are left out are included when you register.
You are encouraged to give this demo version to anybody if you do not change,
or remove anything from the package.

%prep

%setup -n %{Name}-%{DirVersion}

%patch0 -p1 -E -b .orig

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure \
	--prefix=%{Prefix} \
	--bindir=%{Prefix}/X11R6/bin --mandir=%{Prefix}/X11R6/man \
	--with-oss
make

%install
make DESTDIR="${RPM_BUILD_ROOT}" install
gzip -f9 ${RPM_BUILD_ROOT}/%{Prefix}/X11R6/man/man1/xzx.1

%files
%attr( - ,root,root) %doc COPYRIGHT INSTALL
%attr( - ,root,root) %doc doc/README doc/ChangeLog doc/TODO doc/FAQ
%dir %{Prefix}/lib/xzx
%attr( - ,root,root) %{Prefix}/X11R6/bin/xzx
%attr( - ,root,root) %{Prefix}/X11R6/lib/X11/app-defaults/Xzx
%attr( - ,root,root) %{Prefix}/X11R6/man/man1/xzx.1.gz
%attr( - ,root,root) %{Prefix}/lib/xzx/spectrum.rom
%attr( - ,root,root) %{Prefix}/lib/xzx/128.rom
%attr( - ,root,root) %{Prefix}/lib/xzx/plus2.rom
%attr( - ,root,root) %{Prefix}/lib/xzx/plus3.rom
%attr( - ,root,root) %{Prefix}/lib/xzx/if1-v1.rom
%attr( - ,root,root) %{Prefix}/lib/xzx/if1-v2.rom

# EOF
